Loading...
Searching...
No Matches
auth::TacPlusManager::ServerSettings Struct Reference

Server settings. More...

## Public Attributes

string | server
| TACACS+ server name or IP address.
int | port
| TACACS+ server TCP port.
int | timeoutSeconds
| max time from connecting until session completion
int | retries
| max number of allowed retries
string | sharedSecret
| Shared secret between Xerus device and TACACs+ server.
AuthenType | authenType
| Authentication type.
boolean | disableAccounting
| `true` to disable accounting, `false` to enable accounting

## Detailed Description

Server settings.

Definition at line 21 of file TacPlusManager.idl.

## Member Data Documentation

## authenType

AuthenType auth::TacPlusManager::ServerSettings::authenType

Authentication type.

Definition at line 27 of file TacPlusManager.idl.

## disableAccounting

boolean auth::TacPlusManager::ServerSettings::disableAccounting

`true` to disable accounting, `false` to enable accounting

Definition at line 28 of file TacPlusManager.idl.

## port

int auth::TacPlusManager::ServerSettings::port

TACACS+ server TCP port.

Definition at line 23 of file TacPlusManager.idl.

## retries

int auth::TacPlusManager::ServerSettings::retries

max number of allowed retries

Definition at line 25 of file TacPlusManager.idl.

## server

string auth::TacPlusManager::ServerSettings::server

TACACS+ server name or IP address.

Definition at line 22 of file TacPlusManager.idl.

## sharedSecret

string auth::TacPlusManager::ServerSettings::sharedSecret

Shared secret between Xerus device and TACACs+ server.

Definition at line 26 of file TacPlusManager.idl.

## timeoutSeconds

int auth::TacPlusManager::ServerSettings::timeoutSeconds

max time from connecting until session completion

Definition at line 24 of file TacPlusManager.idl.

The documentation for this struct was generated from the following file:

- TacPlusManager.idl